package com.qianhe.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.qianhe.common.annotation.Excel;
import com.qianhe.common.core.domain.BaseEntity;

import java.util.Date;

/**
 * 附件信息对象 work_accessory
 *
 * @author qianhe
 * @date 2024-01-17
 */
@Data
public class WorkAccessory extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private int index;

    /** 主键id */
    private Long id;

    /** 业务id */
    @Excel(name = "业务id")
    private Long businessId;

    /** 模块名称 */
    @Excel(name = "模块名称")
    private String moduleName;

    /** 附件类型 */
    @Excel(name = "附件类型")
    private String accessoryType;

    /** 附件路径 */
    @Excel(name = "附件路径")
    private String accessoryUrl;

    /** 附件名称(无时间戳) */
    @Excel(name = "附件名称（无时间戳）")
    private String fileName;

    /** 附件名称 */
    private String accessoryName;

    /** 创建者 */
    private String createBy;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /** 更新者 */
    private String updateBy;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    /** 删除状态 */
    private String delFlag;
}
