package com.qianhe.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import com.qianhe.common.annotation.Excel;

/**
 * 项目对象 work_xm
 *
 * @author qianhe
 * @date 2024-01-17
 */
@Data
public class WorkXm
{
    /** 主键id */
    private Long id;

    /** 井号 */
    @Excel(name = "井号")
    private String jh;

    /** 负责人id */
    private Long tbrId;

    /** 负责人 */
    @Excel(name = "负责人")
    private String tbr;

    /** 填写时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "填写时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date tbsj;

    /** 流程状态(0压裂通知，1采集设计，2设计审核，3现场勘察) */
    private String lczt;

    /** 提交状态（0未提交，1已提交） */
    @Excel(name = "提交状态", readConverterExp = "0=未提交,1=已提交")
    private String tjzt;

    /** 采集设计提交状态（0未填报，1已填报，2未提交，3已提交） */
    private String cjtjzt;

    /** 当前节点id */
    private Long dqjdId;

    /** 当前节点名称 */
    private String dqjdmc;

    /** 备注 */
    private  String bz;

    /** 创建者 */
    private String createBy;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /** 更新者 */
    private String updateBy;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    /** 删除状态 */
    private String delFlag;
}
