package com.qianhe.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.qianhe.common.annotation.Excel;
import com.qianhe.common.core.domain.BaseEntity;

/**
 * 项目从表对象 work_xmcb
 *
 * @author qianhe
 * @date 2024-01-17
 */
@Data
public class WorkXmcb
{
    /** 主键id */
    private Long id;

    /** 项目主键id */
    private Long yltzId;

    /** 审核人id */
    @Excel(name = "审核人id")
    private Long shrId;

    /** 审核人 */
    @Excel(name = "审核人")
    private String shr;

    /** 审核时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "审核时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date shsj;

    /** 审核人类型(0压裂通知，1采集设计，2设计审核，3现场勘察) */
    @Excel(name = "审核人类型(0压裂通知，1采集设计，2设计审核，3现场勘察)")
    private String shrlx;

    /** 审核状态（1同意，2退回） */
    @Excel(name = "审核状态", readConverterExp = "1=同意，2退回")
    private String shzt;

    /** 意见 */
    @Excel(name = "意见")
    private String yj;

    /** 备注 */
    @Excel(name = "备注")
    private String bz;

    /** 完成状态（0未完成，1已完成） */
    @Excel(name = "完成状态", readConverterExp = "0=未完成，1已完成")
    private String wczt;

    /** 是否首次提交 */
    private String sfsctj;

    /** 创建者 */
    private String createBy;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /** 更新者 */
    private String updateBy;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    /** 删除状态 */
    private String delFlag;
}
