package com.qianhe.mapper;

import java.util.List;
import java.util.Map;

import com.qianhe.domain.WorkJd;
import org.apache.ibatis.annotations.Param;

/**
 * 节点Mapper接口
 *
 * @author qianhe
 * @date 2024-01-17
 */
public interface WorkJdMapper
{
    /**
     * 查询节点
     *
     * @param id 节点主键
     * @return 节点
     */
    public WorkJd selectWorkJdById(Long id);

    /**
     * 查询节点列表
     *
     * @param workJd 节点
     * @return 节点集合
     */
    public List<WorkJd> selectWorkJdList(WorkJd workJd);

    /**
     * 新增节点
     *
     * @param workJd 节点
     * @return 结果
     */
    public int insertWorkJd(WorkJd workJd);

    /**
     * 修改节点
     *
     * @param workJd 节点
     * @return 结果
     */
    public int updateWorkJd(WorkJd workJd);

    /**
     * 删除节点
     *
     * @param id 节点主键
     * @return 结果
     */
    public int deleteWorkJdById(Long id);

    /**
     * 批量删除节点
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteWorkJdByIds(Long[] ids);

    /**
     * 根据用户id查询节点名称
     */
    List<String> selectJdmcByUserId(@Param("userId") Long userId);

    /**
     * 获取用户下拉框
     * @return
     */
    List<Map<String, Object>> getUserList();



}
