package com.qianhe.mapper;

import java.util.List;

import com.qianhe.domain.WorkAccessory;
import com.qianhe.domain.WorkXm;
import com.qianhe.vo.WorkXmVo;
import org.apache.ibatis.annotations.Param;

/**
 * 项目Mapper接口
 *
 * @author qianhe
 * @date 2024-01-17
 */
public interface WorkXmMapper
{
    /**
     * 查询项目
     *
     * @param id 项目主键
     * @return 项目
     */
    public WorkXm selectWorkXmById(Long id);

    /**
     * 查询项目列表
     *
     * @param workXm 项目
     * @return 项目集合
     */
    public List<WorkXm> selectWorkXmList(WorkXm workXm);

    /**
     * 查询项目工作量列表
     *
     * @param workXmVo 项目
     * @return 项目集合
     */
    public List<WorkXm> selectWorkXmGzlList(WorkXmVo workXmVo);

    /**
     * 新增项目
     *
     * @param workXm 项目
     * @return 结果
     */
    public int insertWorkXm(WorkXm workXm);

    /**
     * 修改项目
     *
     * @param workXm 项目
     * @return 结果
     */
    public int updateWorkXm(WorkXm workXm);

    /**
     * 删除项目
     *
     * @param id 项目主键
     * @return 结果
     */
    public int deleteWorkXmById(Long id);

    /**
     * 批量删除项目
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteWorkXmByIds(Long[] ids);

    /**
     * 批量删除项目从表信息
     *
     * @return 结果
     */
    public int deleteWorkXmCbByYltzIds(Long[] ids);

    /**
     * 查询附件
     * @param businessId
     * @param moduleName
     * @return
     */
    List<WorkAccessory> selectFile(@Param("businessId") Long businessId, @Param("moduleName") String moduleName);
}
