package com.qianhe.mapper;

import java.util.List;

import com.qianhe.domain.WorkAccessory;
import com.qianhe.domain.WorkXmcb;
import com.qianhe.vo.WorkXmVo;
import org.apache.ibatis.annotations.Param;

/**
 * 项目从表Mapper接口
 *
 * @author qianhe
 * @date 2024-01-17
 */
public interface WorkXmcbMapper
{
    /**
     * 查询项目从表
     *
     * @param id 项目从表主键
     * @return 项目从表
     */
    public WorkXmcb selectWorkXmcbById(Long id);

    /**
     * 查询项目从表列表
     *
     * @param workXmcb 项目从表
     * @return 项目从表集合
     */
    public List<WorkXmcb> selectWorkXmcbList(WorkXmcb workXmcb);

    /**
     * 新增项目从表
     *
     * @param workXmcb 项目从表
     * @return 结果
     */
    public int insertWorkXmcb(WorkXmcb workXmcb);

    /**
     * 修改项目从表
     *
     * @param workXmcb 项目从表
     * @return 结果
     */
    public int updateWorkXmcb(WorkXmcb workXmcb);

    /**
     * 删除项目从表
     *
     * @param id 项目从表主键
     * @return 结果
     */
    public int deleteWorkXmcbById(Long id);

    /**
     * 批量删除项目从表
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteWorkXmcbByIds(Long[] ids);

    /**
     * 查询待办已办任务
     * @param jdmc
     * @param userId
     * @param state
     * @return
     */
    List<WorkXmVo> taskList(@Param("userId") Long userId,@Param("state") String state,@Param("jdmc") List<String> jdmc, @Param("jh") String jh);

    /**
     * 查询当前登录用户待办任务
     * @param userId
     * @return
     */
    List<WorkXmVo> userTaskList(@Param("userId") Long userId);

    /**
     * 批量新增附件
     */
    int insertFile(List<WorkAccessory> list);

    /**
     * 根据业务id删除附件信息
     * @param businessId
     */
    void deleteFileByBusinessId(@Param("businessId") Long businessId, @Param("moduleName") String moduleName);
}
