package com.qianhe.service;

import java.util.List;
import com.qianhe.domain.WorkAccessory;

/**
 * 附件信息Service接口
 *
 * @author qianhe
 * @date 2024-01-17
 */
public interface IWorkAccessoryService
{
    /**
     * 查询附件信息
     *
     * @param id 附件信息主键
     * @return 附件信息
     */
    public WorkAccessory selectWorkAccessoryById(Long id);

    /**
     * 查询附件信息列表
     *
     * @param workAccessory 附件信息
     * @return 附件信息集合
     */
    public List<WorkAccessory> selectWorkAccessoryList(WorkAccessory workAccessory);

    /**
     * 新增附件信息
     *
     * @param workAccessory 附件信息
     * @return 结果
     */
    public int insertWorkAccessory(WorkAccessory workAccessory);

    /**
     * 修改附件信息
     *
     * @param workAccessory 附件信息
     * @return 结果
     */
    public int updateWorkAccessory(WorkAccessory workAccessory);

    /**
     * 批量删除附件信息
     *
     * @param ids 需要删除的附件信息主键集合
     * @return 结果
     */
    public int deleteWorkAccessoryByIds(Long[] ids);

    /**
     * 删除附件信息信息
     *
     * @param id 附件信息主键
     * @return 结果
     */
    public int deleteWorkAccessoryById(Long id);
}
