package com.qianhe.service;

import java.util.List;
import com.qianhe.domain.WorkXm;
import com.qianhe.vo.WorkXmTjVo;
import com.qianhe.vo.WorkXmVo;

/**
 * 项目Service接口
 *
 * @author qianhe
 * @date 2024-01-17
 */
public interface IWorkXmService
{
    /**
     * 查询项目
     *
     * @param id 项目主键
     * @return 项目
     */
    public WorkXm selectWorkXmById(Long id);

    /**
     * 查询项目列表
     *
     * @param workXm 项目
     * @return 项目集合
     */
    public List<WorkXm> selectWorkXmList(WorkXm workXm);

    /**
     * 新增项目
     *
     * @param workXm 项目
     * @return 结果
     */
    public int insertWorkXm(WorkXm workXm);

    /**
     * 修改项目
     *
     * @param workXm 项目
     * @return 结果
     */
    public int updateWorkXm(WorkXm workXm);

    /**
     * 批量删除项目
     *
     * @param ids 需要删除的项目主键集合
     * @return 结果
     */
    public int deleteWorkXmByIds(Long[] ids);

    /**
     * 删除项目信息
     *
     * @param id 项目主键
     * @return 结果
     */
    public int deleteWorkXmById(Long id);

    /**
     * 提交
     * @param workXm
     * @return
     */
    int submit(WorkXm workXm);

    /**
     * 查询项目详情
     * @param id
     * @return
     */
    WorkXmVo getXmInfo(Long id);

    /**
     * 工作量统计(仅导出功能使用)
     * @param workXmVo
     * @return
     */
    List<WorkXmTjVo> getGzlTjList(WorkXmVo workXmVo);

    /**
     * 查询项目工作量列表
     *
     * @param workXmVo 项目
     * @return 项目集合
     */
    public List<WorkXm> selectWorkXmGzlList(WorkXmVo workXmVo);

    /**
     * 提交采集设计
     * @param workXm
     * @return
     */
    int submitCjsj(WorkXm workXm);

    /**
     * 上传采集设计附件
     * @param workXmVo
     * @return
     */
    int updateFile(WorkXmVo workXmVo);
}
