package com.qianhe.service;

import java.util.List;
import com.qianhe.domain.WorkXmcb;
import com.qianhe.vo.WorkXmVo;

/**
 * 项目从表Service接口
 *
 * @author qianhe
 * @date 2024-01-17
 */
public interface IWorkXmcbService
{
    /**
     * 查询项目从表
     *
     * @param id 项目从表主键
     * @return 项目从表
     */
    public WorkXmcb selectWorkXmcbById(Long id);

    /**
     * 查询项目从表列表
     *
     * @param workXmcb 项目从表
     * @return 项目从表集合
     */
    public List<WorkXmcb> selectWorkXmcbList(WorkXmcb workXmcb);

    /**
     * 新增项目从表
     *
     * @param workXmcb 项目从表
     * @return 结果
     */
    public int insertWorkXmcb(WorkXmcb workXmcb);

    /**
     * 修改项目从表
     *
     * @param workXmcb 项目从表
     * @return 结果
     */
    public int updateWorkXmcb(WorkXmcb workXmcb);

    /**
     * 批量删除项目从表
     *
     * @param ids 需要删除的项目从表主键集合
     * @return 结果
     */
    public int deleteWorkXmcbByIds(Long[] ids);

    /**
     * 删除项目从表信息
     *
     * @param id 项目从表主键
     * @return 结果
     */
    public int deleteWorkXmcbById(Long id);

//    /**
//     * 首页-待办已办
//     * @param state
//     * @param workXmVo
//     * @return
//     */
//    List<WorkXmVo> taskList(String state, WorkXmVo workXmVo);

    /**
     * 查询待办已办任务
     * @param jdmc
     * @param userId
     * @param state
     * @return
     */
    List<WorkXmVo> taskList(Long userId, String state, List<String> jdmc,String jh);

    /**
     * 查询审批历史
     * @param id
     * @return
     */
    List<WorkXmcb> getspls(Long id);

    /**
     * 办理审核按钮
     * @param workXmVo
     * @return
     */
    int handle(WorkXmVo workXmVo);
}
