package com.qianhe.service.impl;

import java.util.List;
import com.qianhe.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.qianhe.mapper.WorkAccessoryMapper;
import com.qianhe.domain.WorkAccessory;
import com.qianhe.service.IWorkAccessoryService;

/**
 * 附件信息Service业务层处理
 *
 * @author qianhe
 * @date 2024-01-17
 */
@Service
public class WorkAccessoryServiceImpl implements IWorkAccessoryService
{
    @Autowired
    private WorkAccessoryMapper workAccessoryMapper;

    /**
     * 查询附件信息
     *
     * @param id 附件信息主键
     * @return 附件信息
     */
    @Override
    public WorkAccessory selectWorkAccessoryById(Long id)
    {
        return workAccessoryMapper.selectWorkAccessoryById(id);
    }

    /**
     * 查询附件信息列表
     *
     * @param workAccessory 附件信息
     * @return 附件信息
     */
    @Override
    public List<WorkAccessory> selectWorkAccessoryList(WorkAccessory workAccessory)
    {
        return workAccessoryMapper.selectWorkAccessoryList(workAccessory);
    }

    /**
     * 新增附件信息
     *
     * @param workAccessory 附件信息
     * @return 结果
     */
    @Override
    public int insertWorkAccessory(WorkAccessory workAccessory)
    {
        workAccessory.setCreateTime(DateUtils.getNowDate());
        return workAccessoryMapper.insertWorkAccessory(workAccessory);
    }

    /**
     * 修改附件信息
     *
     * @param workAccessory 附件信息
     * @return 结果
     */
    @Override
    public int updateWorkAccessory(WorkAccessory workAccessory)
    {
        workAccessory.setUpdateTime(DateUtils.getNowDate());
        return workAccessoryMapper.updateWorkAccessory(workAccessory);
    }

    /**
     * 批量删除附件信息
     *
     * @param ids 需要删除的附件信息主键
     * @return 结果
     */
    @Override
    public int deleteWorkAccessoryByIds(Long[] ids)
    {
        return workAccessoryMapper.deleteWorkAccessoryByIds(ids);
    }

    /**
     * 删除附件信息信息
     *
     * @param id 附件信息主键
     * @return 结果
     */
    @Override
    public int deleteWorkAccessoryById(Long id)
    {
        return workAccessoryMapper.deleteWorkAccessoryById(id);
    }
}
